# schemas/profile_view_schema.py

from pydantic import BaseModel
from datetime import datetime

class ProfileViewCreate(BaseModel):
    recruiter_id: int
    user_id: int

class ProfileViewOut(ProfileViewCreate):
    id: int
    viewed_at: datetime

    class Config:
        orm_mode = True
